close all
clear all
clc

lti_1d_unstable;
prepare_data;
N = 10; % number of iteration steps
K = 4;  % number of approx regions
x_up = []; x_low = []; % empty extending vertices
% [Jlow,Jup,V,smtr] = reindex_pwa(Jlow,Jup,V);
[alpha,beta,x_up,x_low] = Jlow_Jup(Jup,Jlow,V,K,x_up,x_low,N);
VV = draw_PWA(alpha, beta, X, Jpoly); 
[VU,Vu] = get_u(VV,sysStruct,probStruct);

% optimal control law
time = 25;
X = []; x = -5;
for i=1:time
    X = [X x]; x = sysStruct.A*x+sysStruct.B*ctrl(x);
end

Y = [];
x = -5;
for j = 1:time
    Y = [Y x];
    % finding u
    for i = 1:length(VV)
        VV_min = min(VV{i});
        VV_max = max(VV{i});
        if (x >= VV_min) && (x <= VV_max)
            u = VU{i}(1)*x + VU{i}(2);
        end
    end
    x = sysStruct.A*x + sysStruct.B*u;
end

figure
hold on
plot(0:time,[X 0],'b','Linewidth',2)
plot(0:time,[Y 0],'--r','Linewidth',2)
axis([0 time -5 1])
title('Comparation of optimal and suboptimal regulation')
xlabel('Sampling time'),ylabel('x'),legend('u^*','u^~'),grid
