close all
clear all
clc

lti_1d_stable;
prepare_data;
N = 10; % number of iteration steps
K = 2;  % number of approx regions
x_up = []; x_low = []; % empty extending vertices
[alpha,beta,x_up,x_low] = Jlow_Jup(Jup,Jlow,V,K,x_up,x_low,N);
[Jlow,Jup,V,smtr] = reindex_pwa(Jlow,Jup,V);
VV = draw_PWA(alpha, beta, X, Jpoly); 
[VU,Vu] = get_u(VV,sysStruct,probStruct);
[VUU,Vuu] = get_u(V,sysStruct,probStruct);

for i = 1:length(alpha)
    J_alpha{i} = alpha(:,i); J_beta{i} = beta(:,i); 
end

x = [-5:.1:-.1 .1:.1:5];
for j = 1:5
    time_m1 = [];
    time_m2 = [];
    for i = 1:length(x)
        if x(i) == 0, continue;end
        % Procedure 1
        [time1,u_opt] = get_time_m1(Jlow.C,Jlow.D,V,VUU,x(i));
        [time2,u_sub] = get_time_m1(J_alpha,J_beta,VV,VU,x(i));
        time_m1 = [time_m1 [time1;time2]];
        
        % Procedure 2
        [time1,u_opt] = get_time_m2(V,VUU,x(i));
        [time2,u_sub] = get_time_m2(VV,VU,x(i));
        time_m2 = [time_m2 [time1;time2]];
    end
end
figure, hold on
title('Procedure 1'),xlabel('State'),ylabel('Computation time [s]')
plot(x,time_m1(1,:),'b'), plot(x,time_m1(2,:),'r')
legend('Optimal problem','Subptimal problem')

figure, hold on
title('Procedure 2'),xlabel('State'),ylabel('Computation time [s]')
plot(x,time_m2(1,:),'b'),plot(x,time_m2(2,:),'r')
legend('Optimal problem','Subptimal problem')