function [alpha,beta,x_up,x_low] = Jlow_Jup(Jup,Jlow,V,K,x_up,x_low,N)
[alpha,beta] = fit_PWA(Jup,Jlow,V,K,x_up,x_low);

% cert_Jup: f(x) <= Jup(x)
[x] = cert_Jup(alpha,beta,Jup,V);
if x ~= 0
    x_up = [x_up; x];
    [alpha,beta,x_up,x_low] = Jlow_Jup(Jup,Jlow,V,K,x_up,x_low,N);
end

% cert_Jlow: Jlow(x) <= f(x)
[x,d] = cert_Jlow(alpha,beta,Jlow,V);
disp('======================================')
alpha
beta
x_up
x_low
disp('======================================')

if d < -1e-6
    x_low = [x_low; x];
    if length(x_low) < N + 1
        [alpha,beta,x_up,x_low] = Jlow_Jup(Jup,Jlow,V,K,x_up,x_low,N);
    elseif length(x_low) == N
        fprintf('!!! Lack of iteration steps !!!\n')
    end
else
    fprintf('Jlow(x) <= f(x) <= Jup(x) certified\n')
end