close all
clear all
clc

lti_1d_stable;
% lti_1d_unstable;
% lti_2d;

prepare_data;
N = 10; % number of iteration steps
K = 2;  % number of approx regions
x_up = []; x_low = []; % empty extending vertices

nx = size(sysStruct.A,2);   % number of states

if nx == 1 % nx is a dimension of the problem
    [Jlow,Jup,V,smtr] = reindex_pwa(Jlow,Jup,V);
    if smtr == 1 && mod(K,2) == 0, K = K/2; V = V(1:end/2);end
end

[alpha,beta,x_up,x_low] = Jlow_Jup(Jup,Jlow,V,K,x_up,x_low,N);

if nx == 1 && smtr == 1 && mod(K,2) == 0
    temp = length(V);
    for i = 1:temp
        V{temp+i} = -V{temp-i+1};
    end
    alpha = [alpha, -alpha];
    beta = [beta, beta];
end

% VV = draw_PWA_1D(alpha,beta,Jlow,Jup,V);
VV = draw_PWA(alpha, beta, X, Jpoly);

[VU,Vu] = get_u(VV,sysStruct,probStruct);

plot_PWA_u(VV,Vu);