function [x] = cert_Jup(alpha,beta,Jup,V)
nx = size(alpha,1);

for i = 1:length(V)
    x = sdpvar(nx,1);
    
    obj = 0;
    
    F = [];
    F = F + [ismember(x, Jup.R(i))];
    F = F + [max(alpha'*x + beta') - (Jup.C{i}'*x + Jup.D{i}) > 1e-5];
    
    info = solvesdp(F,obj);
    
    x = double(x);
    if info.problem == 0 && x ~= 0 , break;end
end

if x == 0
    disp('cert_Jup: Alpha and beta were certificated !!!')
else
    disp('cert_Jup: Alpha and beta were not certificated !!!')
end