% function [VV] = draw_PWA(alpha, beta, X, Jpoly)
% alpha - directive (f(x) = alpha*x + beta)
% beta  - shift (f(x) = alpha*x + beta)
% X     - Polytop representing range of each axis (in matrix X)
% VV    - vertices of each new region (from new alpha and beta)
function [VV] = draw_PWA(alpha, beta, X, Jpoly)

% obtain the explicit representation of f(x) as
%   f(x) = c_j*x+d_j if x \in P_j
f = get_explicit_pwa_max(alpha, beta, X);

if gcf==1, plot(Jpoly, 'y'); end
    
hold on, plot_pwa(f); grid on, hold off

% output
for i = 1:length(f.R), VV{i} = extreme(f.R(i)); end