function [alpha,beta] = fit_PWA(Jup,Jlow,V,K,x_up,x_low)
nx = size(V{1},2);

% obj. function
obj = 0;

% constraints
F = [];

% symbolic values
alpha = sdpvar(nx,K,'full');
beta = sdpvar(1,K);

for i = 1:length(V)
    % Jup
    for j = 1:length(V{i})
        F = F + [(V{i}(j,:)*alpha + beta) <= ...
            V{i}(j,:)*Jup.C{i} + Jup.D{i}];
    end
    for j = 1:length(x_up)
        F = F + [(x_up(j,:)'*alpha + beta) <= ...
            x_up(j,:)'*Jup.C{i} + Jup.D{i}];
    end
    % Jlow
    for j = 1:length(V{i})
        F = F + [max(V{i}(j,:)*alpha + beta) >= ...
            V{i}(j,:)*Jlow.C{i} + Jlow.D{i}];
    end
    for j = 1:length(x_low)
        F = F + [max(x_low(j,:)'*alpha + beta) >= ...
            x_low(j,:)'*Jlow.C{i} + Jlow.D{i}];
    end
end

%% solve
info = solvesdp(F,obj);
if info.problem ~= 0
    error('Problem is unsolvable !!!')
end
alpha = double(alpha);
beta = double(beta);
