% VU -> cell of the alpha and beta for inputs 
%      (VU{i} = [a1_i, a2_i...;b1_i, b2_i...;])
% Vu -> cell of the optimum inputs in all region vertices  from VV
function [VU,Vu] = get_u(VV,sysStruct,probStruct)
[Vu] = get_Vu(VV,sysStruct,probStruct);

nx = size(sysStruct.A,2);     % number of states
nu = size(sysStruct.B,2);     % number of inputs

for i = 1:length(VV)
    for j = 1:nx 
        X = [VV{i}(:,j)'; ones(1,length(VV{i}(:,j)))];
        U = [Vu{i}(:,j)'];
        C = U*X^-1;
        VU{i}(:,j) = C';
    end
end