function plot_PWA_u(VV,Vu)

% nx = size(VV{1},2);
% 
% if nx == 1
%     figure
%     hold on
%     xlabel('x')
%     ylabel('u')
%     title(sprintf('Control PWA function over %d regions',length(VV)))
%     
%     plot([VV{:}],[Vu{:}],'--b','LineWidth',3)
%     legend('u = f(x)')
%     grid
%     
% %     color = repmat({'b','g','r','c','m','y','k'},1,15);
% %     for i = 1:length(VV)
% %         plot([VV{i}(1) VV{i}(2)],[Vu{i}(1) Vu{i}(2)],color{i},'LineWidth',3)
% %     end
% elseif nx == 2
%     
%     figure
%     hold on
%     xlabel('x1')
%     ylabel('x2')
%     zlabel('u')
%     title(sprintf('Control PWA function over %d regions',length(alpha)))
%     grid
%     
%     for i = 1:length(VV)
%         x = VV{i}(:,1);
%         y = VV{i}(:,2);
%         
%         [xx,yy] = meshgrid(x,y);
%         zz = xx*VU{i}(1,1) + VU{i}(2,1);
%         surf(xx,yy,zz)
%     end
%     
%     % if nu == 2 => plot u2 separately
%     if nu == 2
%         
%         figure
%         hold on
%         xlabel('x1')
%         ylabel('x2')
%         zlabel('u2')
%         title(sprintf('Control PWA function over %d regions',length(alpha)))
%         grid
%         
%         for i = 1:length(VV)
%             x = VV{i}(:,1);
%             y = VV{i}(:,2);
%             
%             [xx,yy] = meshgrid(x,y);
%             zz = xx*VU{i}(1,2) + VU{i}(2,2);
%             surf(xx,yy,zz)
%         end
%     end   
% else
%     fprintf('!!! Cant plot if nx > 2 !!!\nNumber of states: nx = %d\n',nx)
% end
%%
nx = size(VV{1},2);

if nx == 1
    figure
    hold on
    xlabel('x')
    ylabel('u')
    title(sprintf('Control PWA function over %d regions',length(VV)))
    
    plot([VV{:}],[Vu{:}],'--b','LineWidth',3)
    legend('u = f(x)')
    grid
    
%     color = repmat({'b','g','r','c','m','y','k'},1,15);
%     for i = 1:length(VV)
%         plot([VV{i}(1) VV{i}(2)],[Vu{i}(1) Vu{i}(2)],color{i},'LineWidth',3)
%     end
elseif nx == 2
    temp = ceil(length(VV)/7);
    color = repmat({'b','g','r','c','m','y','k'},1,temp);
        
    figure
    hold on
    xlabel('x1')
    ylabel('x2')
    zlabel('u')
    title(sprintf('Control PWA function over %d regions',length(alpha)))
    grid

    % for u1
    for i = 1:length(VV)
        x = VV{i}(:,1);
        y = VV{i}(:,2);
        z = Vu{i}(:,1);
        
        patch(x,y,z,color{i})
    end
    
    if size(Vu{1},2) == 2
        figure
        hold on
        xlabel('x1')
        ylabel('x2')
        zlabel('u2')
        title(sprintf('Control PWA function over %d regions',length(alpha)))
        grid
        
        % for u2
        for i = 1:length(VV)
            x = VV{i}(:,1);
            y = VV{i}(:,2);
            z = Vu{i}(:,2);
            
            patch(x,y,z,color{i})
        end
    end

else
    fprintf('!!! Cant plot if nx > 2 !!!\nNumber of states: nx = %d\n',nx)
end