% re-index each region from left to right by axis x1
% check for symmetry (if smtr == 1 => obj function is symmetrical)
function [Jlow,Jup,V,smtr] = reindex_pwa(Jlow,Jup,V)
% find correct positions of each region
temp = zeros(1,length(Jlow.R));
positions = zeros(1,length(Jlow.R));

if length(Jlow.C{:,1}) == 1
    for i = 1:length(Jlow.R)
        temp(i) = max(extreme(Jlow.R(i)));
    end
else
    for i = 1:length(Jlow.R)
        tempp = extreme(Jlow.R(i));
        temp(i) = max(tempp(1,:));
    end
end

temp2 = sort(temp);
k = 1;
while k <= length(temp2)
    tempp2 = find(temp == temp2(k));
    if length(tempp2) > 1
        for j = 1:length(tempp2)
            positions(k+j-1) = tempp2(j);
        end
        k = k + length(tempp2);
    else
        positions(k) = tempp2;
        k = k + 1;
    end
end

% re-index each region
Jlow.R = Jlow.R(positions);
Jlow.C = Jlow.C(positions);
Jlow.D = Jlow.D(positions);

Jup.R = Jup.R(positions);
Jup.C = Jup.C(positions);
Jup.D = Jup.D(positions);

V = V(positions);
%% checking for symmetry (if smtr == 1 => obj is symmetrical)
k = length(Jup.R);
smtr = 1; 

for i = 1:k/2
    if sum(abs(Jup.C{i} + Jup.C{k+1-i}) > 1e-9) > 0, smtr = 0; break; end
    if sum(abs(Jup.D{i} - Jup.D{k+1-i}) > 1e-9) > 0, smtr = 0; break; end
    if sum(abs(Jlow.C{i} + Jlow.C{k+1-i}) > 1e-9) > 0, smtr = 0; break; end
    if sum(abs(Jlow.D{i} - Jlow.D{k+1-i}) > 1e-9) > 0, smtr = 0; break; end     
end