function [alfa,beta] = Points_into_PWA(x,y)
x_length = length(x);
y_length = length(y);
if x_length ~= y_length error('! Length x ~= y !'),end 
%% symbolic parameters
xlength = x_length - 1;
nx = size(x,1);

J = sdpvar(xlength,1);
alfa = sdpvar(xlength,nx);
beta = sdpvar(xlength,1);
%% objective function
obj = 0;
for i = 1:xlength
    obj = obj + (J(i) - y(i))^2;
end
%% constraints
F = [];
for i = 1:xlength
    for j = i+1:xlength + 1
        F = F + [alfa(i,:) <= (y(j)-y(i))/(x(:,j)-x(:,i))];
    end
    if nx == 1 % symmetrical obj   
        F = F + [alfa(i,:) == -alfa(xlength + 1 - i,:)];
    end
end

for i = 1:xlength
    F = F + [J(i) == alfa(i,:)*x(:,i) + beta(i)];
    if nx == 1 % symmetrical obj 
        F = F + [beta(i) == beta(xlength + 1 - i)];
    end
end
%% solve
info = solvesdp(F,obj);
if info.problem ~= 0
    error('Problem is unsolvable !!!')
end
alfa = double(alfa);
beta = double(beta);
