function plot_1D_PWA(alpha, beta, x,y)

% first draw
figure
plot(x,y,'ks',...
    'MarkerEdgeColor','k',...
    'MarkerFaceColor','k',...
    'MarkerSize',5)
hold on
for i = 1:length(x) - 1
    plot(x,x*alpha(i) + beta(i),'r')
end
title(sprintf('Searching for %d regions',length(x)-1))
xlabel('x'),ylabel('f(x)')
grid

% PWA function from x,y
figure
color = {'b','g','r','c','m','y','k'};
temp = ceil((length(x) - 1)/length(color));
color = color(kron(ones(1,temp),reshape(1:numel(color),size(color))));

hold on
for i = 1:length(x) - 1
    plot([x(i) x(i+1)],...
        [alpha(i)*x(i) + beta(i), alpha(i)*x(i+1) + beta(i)],...
        '--b','LineWidth',3)
end
% for i = 1:length(x) - 1
%     plot([x(i) x(i+1)],[0, 0],color{i},'LineWidth',3)
% end
fx1 = x(1)*alpha(1) + beta(1);
fx2 = x(end)*alpha(end) + beta(end);
axis([x(1) x(end) 0 max(fx1,fx2)])
xlabel('x'),ylabel('f(x)')
title(sprintf('PWA function over %d regions',length(x)-1))
grid
